{
	config,
	pkgs,
	...
}:
{
  programs.zsh = {
    enable = false;
    history = {
      path = "/home/coast/.cache/zsh/history";
      size = 100000000;
      save = 100000000;
      append = true;
    };
    enableCompletion = true;
    shellAliases = {
      nf = "neofetch";
      nrs = "sudo nixos-rebuild switch";
      emoji = "cat ~/.local/src/local/share/emoji | grep";
      ls = "ls --color=auto";
      smi = "nvidia-smi";
      battery = "sb-battery";
      weather = "curl wttr.in/masjedsoleyman";
      las = "ls";
      c = "clear";
      cear = "clear";
      ".." = "cd ..";
      hotp = "htop";
      main = "man";
      mian = "man";
      mna = "man";
      delgen = "sudo nix-env --delete-generations old --profile /nix/var/nix/profiles/system";
      alsamixer = "alsamixer -c 0 --no-color";
      la = "ls --color=auto -la";
      sidp = "sudo";
      suod = "sudo";
      sduo = "sudo";
      sd = "sudo";
	  fastfetch = "fastfetch --pipe false | uwuify.awk";
    };
    initContent = ''
      autoload -U compinit
      zstyle ':completion:*' menu select
      zmodload zsh/complist
      compinit
      comp_options+=(globdots)
      zstyle ':completion:*' matcher-list 'm:{a-z}={A-Z}'
      ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE="fg=12"
      autoload -U colors && colors && setopt prompt_subst
      source ~/.local/src/zsh.d/zsh-autosuggestions.zsh
      export PATH="/usr/bin:$PATH"
      export PATH="$HOME/.local/bin:$PATH"
      EDITOR=vim
	  bindkey -e
      PS1="[%n in %m %~] "
	  eval "$(starship init zsh)"
    '';
  };
}
